%define anolis_release 1
%global pypi_name tomesd
%global pypi_version 0.1.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Token Merging for Stable Diffusion

License:        MIT
URL:            https://github.com/dbolya/tomesd
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# Since we don't provide torch from yum source
# BuildRequires:  python3dist(torch) >= 1.12.1
# Requires:       python3dist(torch) >= 1.12.1

%description
Using nothing but pure python and pytorch, ToMe for SD speeds up diffusion by
merging redundant tokens.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Using nothing but pure python and pytorch, ToMe for SD speeds up diffusion by
merging redundant tokens.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Wed Apr 17 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.1.3-1
- Initial package.
